Subject: Re: PR KVM and TM issues

From: Alexey Kardashevskiy <[email-masked]>
Date: Tue, 5 Apr 2016 17:29:26 +1000

On 04/04/2016 09:09 PM, Michael Neuling wrote:
> On Mon, 2016-04-04 at 17:00 +1000, Alexey Kardashevskiy wrote:
>> On 04/04/2016 04:44 PM, Anton Blanchard wrote:
>>> Hi,
>>>
>>> I can't get an Ubuntu Wily guest to boot on an Ubuntu Wily host in PR KVM
>>> mode. The kernel in both cases is 4.2. To reproduce:
>>>
>>> wget -N https://cloud-images.ubuntu.com/wily/current/wily-server-cloudimg-ppc64el-disk1.img
>>>
>>> qemu-system-ppc64 -cpu POWER8 -enable-kvm -machine pseries,kvm-type=PR -m 4G -nographic -vga none -drive file=wily-server-cloudimg-ppc64el-disk1.img,if=virtio
>>>
>>> Should TM work inside a PR KVM guest?
>>
>> If I read the kernel code correctly (kvmppc_set_one_reg_hv vs.
>> kvmppc_set_one_reg_pr), no, it should not be expected to work.
>
> What's missing?

I do not know much about TM... SET_ONE_REG interface does not support TM 
registers for PR KVM and stuff which e4e38121507a2 "KVM: PPC: Book3S HV: 
Add transactional memory support" adds (save/restore TM state on guest 
entry/exit) is absent in PR KVM's book3s_rmhandlers.S.

-- 
Alexey